using System;
using System.Collections;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using UnityEditor;
using UnityEditor.AI;
using UnityEngine;
using UnityEngine.AI;

[CustomEditor(typeof(Battle3DScene))]
public class Battle3DSceneInspector : Editor
{
    private void OnEnable()
    {



    }

/*    [MenuItem("Dyspace/Save All Battle3DScene")]
    public static void SaveAllInScene()
    {
        Battle3DSceneInspector[] sceneInspectors = FindObjectsOfType<Battle3DSceneInspector>();
        sceneInspectors.ForEach(e => e.Save());
    }*/

    public override void OnInspectorGUI()
    {
        Battle3DScene _this = target as Battle3DScene;
        
        _this.mapId = EditorGUILayout.IntField("地图ID", _this.mapId);

        GUILayout.Space(10);
        
        base.OnInspectorGUI();

        if (GUILayout.Button("保存"))
        {
            _this.Save(null);
        }
    }

}